# idrac_redfish_config – Manages servers through iDRAC using Dell Redfish APIs

New in version 2.8.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- For use with Dell iDRAC operations that require Redfish OEM extensions
- Builds Redfish URIs locally and sends them to remote iDRAC controllers to set or update a configuration attribute.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
baseuri string / required |  | Base URI of iDRAC
category string / required |  | Category to execute on iDRAC
command list / required |  | List of commands to execute on iDRAC
manager_attribute_name string | Default: "null" | name of iDRAC attribute to update
manager_attribute_value string | Default: "null" | value of iDRAC attribute to update
password string / required |  | Password for authentication with iDRAC
timeout integer | Default: 10 | Timeout in seconds for URL requests to iDRAC controller
username string / required |  | User for authentication with iDRAC

## Examples

    - name: Enable NTP in iDRAC
      idrac_redfish_config:
        category: Manager
        command: SetManagerAttributes
        manager_attribute_name: NTPConfigGroup.1.NTPEnable
        manager_attribute_value: Enabled
        baseuri: "{{ baseuri }}"
        username: "{{ username}}"
        password: "{{ password }}"
    - name: Set NTP server 1 to {{ ntpserver1 }} in iDRAC
      idrac_redfish_config:
        category: Manager
        command: SetManagerAttributes
        manager_attribute_name: NTPConfigGroup.1.NTP1
        manager_attribute_value: "{{ ntpserver1 }}"
        baseuri: "{{ baseuri }}"
        username: "{{ username}}"
        password: "{{ password }}"
    - name: Set Timezone to {{ timezone }} in iDRAC
      idrac_redfish_config:
        category: Manager
        command: SetManagerAttributes
        manager_attribute_name: Time.1.Timezone
        manager_attribute_value: "{{ timezone }}"
        baseuri: "{{ baseuri }}"
        username: "{{ username}}"
        password: "{{ password }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | always | Message with action result or error description Sample: Action was successful

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Jose Delarosa (@jose-delarosa)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.